You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     amd...@freebsd.org
Last committer: a...@freebsd.org
Ident:          $FreeBSD: head/games/pink-pony/Makefile 324744 2013-08-14 
22:35:50Z ak $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s/logs/pink-pony-1.2.1_7.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s
Log:

====>> Building games/pink-pony
build started at Thu Sep 19 07:15:13 UTC 2013
port directory: /usr/ports/games/pink-pony
building for: FreeBSD head-amd64-default-job-04 10.0-CURRENT FreeBSD 
10.0-CURRENT amd64
maintained by: amd...@freebsd.org
Makefile ident:      $FreeBSD: head/games/pink-pony/Makefile 324744 2013-08-14 
22:35:50Z ak $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000055
UNAME_v=FreeBSD 10.0-CURRENT
UNAME_r=10.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=3758
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=24
PKGNG=1
PKGNAME=pink-pony-1.2.1_7
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
SKIPSANITY=0
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/pink-pony
DOCSDIR=/usr/local/share/doc/pink-pony
EXAMPLESDIR=/usr/local/share/examples/pink-pony
WWWDIR=/usr/local/www/pink-pony
ETCDIR=/usr/local/etc/pink-pony
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for pink-pony-1.2.1_7
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   pink-pony-1.2.1_7 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_2.txz
Installing pkg-1.1.4_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of pink-pony-1.2.1_7
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by pink-pony-1.2.1_7 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by pink-pony-1.2.1_7 for building
=> SHA256 Checksum OK for pink-pony-1.2.1.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by pink-pony-1.2.1_7 for building
===>  Extracting for pink-pony-1.2.1_7
=> SHA256 Checksum OK for pink-pony-1.2.1.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for pink-pony-1.2.1_7
===>   Converting DOS text file to UNIX text file: 
===>  Applying FreeBSD patches for pink-pony-1.2.1_7
===========================================================================
=======================<phase: build-depends  >============================
===>   pink-pony-1.2.1_7 depends on file: /usr/local/lib/libaudiere.so - not 
found
===>    Verifying install for /usr/local/lib/libaudiere.so in 
/usr/ports/audio/audiere
===>   Installing existing package /packages/All/audiere-1.9.4_4.txz
Installing audiere-1.9.4_4...Installing speex-1.2.r1_4,1...Installing 
libogg-1.3.1,4... done
 done
Installing libvorbis-1.3.3_1,3... done
Installing libcdaudio-0.99.12p2_2... done
 done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on file: 
/usr/local/libdata/pkgconfig/glproto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/glproto.pc in 
/usr/ports/x11/glproto
===>   Installing existing package /packages/All/glproto-1.4.16.txz
Installing glproto-1.4.16... done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on file: 
/usr/local/libdata/pkgconfig/dri2proto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/dri2proto.pc in 
/usr/ports/x11/dri2proto
===>   Installing existing package /packages/All/dri2proto-2.8.txz
Installing dri2proto-2.8... done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on file: 
/usr/local/libdata/pkgconfig/glproto.pc - found
===>   pink-pony-1.2.1_7 depends on file: 
/usr/local/libdata/pkgconfig/dri2proto.pc - found
===>   pink-pony-1.2.1_7 depends on file: /usr/local/bin/scons - not found
===>    Verifying install for /usr/local/bin/scons in /usr/ports/devel/scons
===>   Installing existing package /packages/All/scons-2.3.0.txz
Installing scons-2.3.0...Installing python27-2.7.5_3...Installing 
gettext-0.18.3... done
 done
Installing python2-2_1... done
Installing python-2.7_1,2... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of pink-pony-1.2.1_7
===========================================================================
=======================<phase: lib-depends    >============================
===>   pink-pony-1.2.1_7 depends on shared library: IL - not found
===>    Verifying install for IL in /usr/ports/graphics/devil
===>   Installing existing package /packages/All/devil-1.7.8_10,1.txz
Installing devil-1.7.8_10,1...Installing xproto-7.0.24... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing renderproto-0.11.1... done
Installing randrproto-1.4.0... done
Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2... done
Installing libpthread-stubs-0.3_3... done
 done
Installing libXxf86vm-1.1.3...Installing libXext-1.3.2,1...Installing 
libX11-1.6.1,1...Installing kbproto-1.0.6... done
 done
 done
 done
Installing libXrender-0.9.8... done
Installing libXrandr-1.4.1... done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
fixesproto-5.0... done
 done
Installing inputproto-2.3... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libICE-1.0.8,1... done
Installing expat-2.1.0... done
Installing pciids-20130823... done
Installing mpfr-3.1.2...Installing gmp-5.1.2... done
 done
Installing mpc-0.9... done
Installing gcc-ecj-4.5... done
Installing gcc-4.6.3...Installing binutils-2.23.2... done
 done
Installing tiff-4.0.3...Installing jpeg-8_4... done
Installing jbigkit-1.6... done
 done
Installing png-1.5.17... done
Installing libmng-1.0.10_2...Installing lcms-1.19_1,1... done
 done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
Installing jasper-1.900.1_12... done
Installing freeglut-2.8.1... done
 done
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on shared library: protobuf - not found
===>    Verifying install for protobuf in /usr/ports/devel/protobuf
===>   Installing existing package /packages/All/protobuf-2.5.0.txz
Installing protobuf-2.5.0... done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on shared library: glfw - not found
===>    Verifying install for glfw in /usr/ports/graphics/glfw
===>   Installing existing package /packages/All/glfw-2.7.9.txz
Installing glfw-2.7.9... done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on shared library: Half - not found
===>    Verifying install for Half in /usr/ports/graphics/ilmbase
===>   Installing existing package /packages/All/ilmbase-1.0.3.txz
Installing ilmbase-1.0.3... done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on shared library: ftgl - not found
===>    Verifying install for ftgl in /usr/ports/graphics/ftgl
===>   Installing existing package /packages/All/ftgl-2.1.3.r5,1.txz
Installing ftgl-2.1.3.r5,1...Installing libSM-1.2.1,1... done
Installing libXt-1.1.4,1... done
Installing libXmu-1.1.1,1... done
Installing freetype2-2.4.12_1... done
 done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on shared library: sigc-2.0 - not found
===>    Verifying install for sigc-2.0 in /usr/ports/devel/libsigc++20
===>   Installing existing package /packages/All/libsigc++-2.3.1.txz
Installing libsigc++-2.3.1... done
===>   Returning to build of pink-pony-1.2.1_7
===>   pink-pony-1.2.1_7 depends on shared library: GL.1 - found
===>   pink-pony-1.2.1_7 depends on shared library: GLU.1 - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for pink-pony-1.2.1_7
===========================================================================
=======================<phase: build          >============================
===>  Building for pink-pony-1.2.1_7
scons: Reading SConscript files ...
pkg-config: not found
OSError: 'pkg-config IlmBase --cflags --libs' exited 127:
  File "/wrkdirs/usr/ports/games/pink-pony/work/pink-pony/SConstruct", line 6:
    env.ParseConfig("pkg-config IlmBase --cflags --libs")
  File "/usr/local/lib/scons-2.3.0/SCons/Environment.py", line 1554:
    return function(self, self.backtick(command))
  File "/usr/local/lib/scons-2.3.0/SCons/Environment.py", line 596:
    raise OSError("'%s' exited %d" % (command, status))
*** Error code 2

Stop.
make: stopped in /usr/ports/games/pink-pony
===>  Cleaning for pink-pony-1.2.1_7
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to